| PDM-IR SDK 3.0.2 PDM-IR SDK

Public Attributes | List of all members
ft_program_data Struct Reference

## Public Attributes
DWORD | Signature1
DWORD | Signature2
DWORD | Version
WORD | VendorId
WORD | ProductId
char * | Manufacturer
char * | ManufacturerId
char * | Description
char * | SerialNumber
WORD | MaxPower
WORD | PnP
WORD | SelfPowered
WORD | RemoteWakeup
UCHAR | Rev4
UCHAR | IsoIn
UCHAR | IsoOut
UCHAR | PullDownEnable
UCHAR | SerNumEnable
UCHAR | USBVersionEnable
WORD | USBVersion
UCHAR | Rev5
UCHAR | IsoInA
UCHAR | IsoInB
UCHAR | IsoOutA
UCHAR | IsoOutB
UCHAR | PullDownEnable5
UCHAR | SerNumEnable5
UCHAR | USBVersionEnable5
WORD | USBVersion5
UCHAR | AIsHighCurrent
UCHAR | BIsHighCurrent
UCHAR | IFAIsFifo
UCHAR | IFAIsFifoTar
UCHAR | IFAIsFastSer
UCHAR | AIsVCP
UCHAR | IFBIsFifo
UCHAR | IFBIsFifoTar
UCHAR | IFBIsFastSer
UCHAR | BIsVCP
UCHAR | UseExtOsc
UCHAR | HighDriveIOs
UCHAR | EndpointSize
UCHAR | PullDownEnableR
UCHAR | SerNumEnableR
UCHAR | InvertTXD
UCHAR | InvertRXD
UCHAR | InvertRTS
UCHAR | InvertCTS
UCHAR | InvertDTR
UCHAR | InvertDSR
UCHAR | InvertDCD
UCHAR | InvertRI
UCHAR | Cbus0
UCHAR | Cbus1
UCHAR | Cbus2
UCHAR | Cbus3
UCHAR | Cbus4
UCHAR | RIsD2XX
UCHAR | PullDownEnable7
UCHAR | SerNumEnable7
UCHAR | ALSlowSlew
UCHAR | ALSchmittInput
UCHAR | ALDriveCurrent
UCHAR | AHSlowSlew
UCHAR | AHSchmittInput
UCHAR | AHDriveCurrent
UCHAR | BLSlowSlew
UCHAR | BLSchmittInput
UCHAR | BLDriveCurrent
UCHAR | BHSlowSlew
UCHAR | BHSchmittInput
UCHAR | BHDriveCurrent
UCHAR | IFAIsFifo7
UCHAR | IFAIsFifoTar7
UCHAR | IFAIsFastSer7
UCHAR | AIsVCP7
UCHAR | IFBIsFifo7
UCHAR | IFBIsFifoTar7
UCHAR | IFBIsFastSer7
UCHAR | BIsVCP7
UCHAR | PowerSaveEnable
UCHAR | PullDownEnable8
UCHAR | SerNumEnable8
UCHAR | ASlowSlew
UCHAR | ASchmittInput
UCHAR | ADriveCurrent
UCHAR | BSlowSlew
UCHAR | BSchmittInput
UCHAR | BDriveCurrent
UCHAR | CSlowSlew
UCHAR | CSchmittInput
UCHAR | CDriveCurrent
UCHAR | DSlowSlew
UCHAR | DSchmittInput
UCHAR | DDriveCurrent
UCHAR | ARIIsTXDEN
UCHAR | BRIIsTXDEN
UCHAR | CRIIsTXDEN
UCHAR | DRIIsTXDEN
UCHAR | AIsVCP8
UCHAR | BIsVCP8
UCHAR | CIsVCP8
UCHAR | DIsVCP8
UCHAR | PullDownEnableH
UCHAR | SerNumEnableH
UCHAR | ACSlowSlewH
UCHAR | ACSchmittInputH
UCHAR | ACDriveCurrentH
UCHAR | ADSlowSlewH
UCHAR | ADSchmittInputH
UCHAR | ADDriveCurrentH
UCHAR | Cbus0H
UCHAR | Cbus1H
UCHAR | Cbus2H
UCHAR | Cbus3H
UCHAR | Cbus4H
UCHAR | Cbus5H
UCHAR | Cbus6H
UCHAR | Cbus7H
UCHAR | Cbus8H
UCHAR | Cbus9H
UCHAR | IsFifoH
UCHAR | IsFifoTarH
UCHAR | IsFastSerH
UCHAR | IsFT1248H
UCHAR | FT1248CpolH
UCHAR | FT1248LsbH
UCHAR | FT1248FlowControlH
UCHAR | IsVCPH
UCHAR | PowerSaveEnableH

The documentation for this struct was generated from the following file:

- ftd2xx.h